package com.guwan.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
/*
global:
  http_flag: http
  file_path:
    static-locations: /home/shapelight/sl_site
    static-user_path: userdata
    #log_file: snail_develop.log
    #http_flag: http
    user_path: /home/shapelight/Snail_develop/UserData
    common_path: /home/shapelight/Snail_develop/Common
    wx_code_path: /home/shapelight/Snail_develop/WxCode
    doc_path: /home/shapelight/Snail_develop/Doc
    apk_path: /home/shapelight/Snail_develop/Apk
    ten_pic: pic
    ten_wx: wx
    ten_xlsx: xlsx
    ten_song: song
    ten_logo: logo
    ten_member_org: member_org
    ten_member_face: member_face
    ten_visitor_org: visitor_org
    ten_visitor_face: visitor_face
    ten_member_rec_org: member_rec_org
    ten_member_rec_face: member_rec_face
    ten_visitor_rec_org: visitor_rec_org
    ten_visitor_rec_face: visitor_rec_face
  url:
    #addr: 192.168.1.50:9902
    url_img: 192.168.1.50:9903
    url_out: 192.168.1.50:9903
    url_license: 39.96.9.232:3389
  upload_zip:
      protocal: http://
      ip: 127.0.0.1
      port: 8001
      zippath: /home/shapelight/DataBase/studentOrg
      small-face-path: /home/shapelight/DataBase/studentFace
 */

@Component
@Data
public class GlobalValue {

    @Value("${global.minio.endpoint}")
    private String minioEndpoint;
    @Value("${global.minio.port}")
    private String minioPort;
    @Value("${global.minio.accessKey}")
    private String minioAccessKey;
    @Value("${global.minio.secretKey}")
    private String minioSecretKey;
    @Value("${global.minio.bucketName}")
    private String minioBucketName;


}
